Loading...
Searching...
No Matches
pcl::io::PointCloudImageExtractorWithScaling< PointT > Class Template Reference
Module io

Image Extractor extension which provides functionality to apply scaling to the values extracted from a field. More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorWithScaling< PointT >:

## Public Types

enum | ScalingMethod { SCALING_NO , SCALING_FULL_RANGE , SCALING_FIXED_FACTOR }
| Different scaling methods. More...
using | Ptr = shared_ptr<PointCloudImageExtractorWithScaling<PointT> >
using | ConstPtr = shared_ptr<const PointCloudImageExtractorWithScaling<PointT> >
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
using | PointCloud = pcl::PointCloud<PointT>
using | Ptr = shared_ptr<PointCloudImageExtractor<PointT> >
using | ConstPtr = shared_ptr<const PointCloudImageExtractor<PointT> >

## Public Member Functions

| PointCloudImageExtractorWithScaling (const std::string &field_name, const ScalingMethod scaling_method)
| Constructor.
| PointCloudImageExtractorWithScaling (const std::string &field_name, const float scaling_factor)
| Constructor.
| ~PointCloudImageExtractorWithScaling () override=default
| Destructor.
void | setScalingMethod (const ScalingMethod scaling_method)
| Set scaling method.
void | setScalingFactor (const float scaling_factor)
| Set fixed scaling factor.
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()=default
| Constructor.
virtual | ~PointCloudImageExtractor ()=default
| Destructor.
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud.
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black.

## Protected Member Functions

bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &image) const override
| Implementation of the extract() function, has to be implemented in deriving classes.

## Protected Attributes

std::string | field_name_
ScalingMethod | scaling_method_
float | scaling_factor_
Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_ {false}
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black.

## Detailed Description

template<typename PointT>
class pcl::io::PointCloudImageExtractorWithScaling< PointT >

Image Extractor extension which provides functionality to apply scaling to the values extracted from a field.

Author
  Sergey Alexandrov

Definition at line 129 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::io::PointCloudImageExtractorWithScaling< PointT >::ConstPtr = shared_ptr<const PointCloudImageExtractorWithScaling<PointT> >

Definition at line 135 of file point_cloud_image_extractors.h.

## Ptr

template<typename PointT>

using pcl::io::PointCloudImageExtractorWithScaling< PointT >::Ptr = shared_ptr<PointCloudImageExtractorWithScaling<PointT> >

Definition at line 134 of file point_cloud_image_extractors.h.

## Member Enumeration Documentation

## ScalingMethod

template<typename PointT>

enum pcl::io::PointCloudImageExtractorWithScaling::ScalingMethod

Different scaling methods.

- SCALING_NO - no scaling.
- SCALING_FULL_RANGE - scales to full range of the output value.
- SCASING_FIXED_FACTOR - scales by a given fixed factor.

Enumerator
SCALING_NO |
SCALING_FULL_RANGE |
SCALING_FIXED_FACTOR |

Definition at line 144 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

## PointCloudImageExtractorWithScaling() [1/2]

template<typename PointT>

pcl::io::PointCloudImageExtractorWithScaling< PointT >::PointCloudImageExtractorWithScaling | ( | const std::string & | field_name,
|  | const ScalingMethod | scaling_method )

inline

Constructor.

Definition at line 152 of file point_cloud_image_extractors.h.

References field_name_, scaling_factor_, and scaling_method_.

Referenced by pcl::io::PointCloudImageExtractorFromCurvatureField< PointT >::PointCloudImageExtractorFromCurvatureField(), pcl::io::PointCloudImageExtractorFromCurvatureField< PointT >::PointCloudImageExtractorFromCurvatureField(), pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::PointCloudImageExtractorFromIntensityField(), pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::PointCloudImageExtractorFromIntensityField(), pcl::io::PointCloudImageExtractorFromZField< PointT >::PointCloudImageExtractorFromZField(), pcl::io::PointCloudImageExtractorFromZField< PointT >::PointCloudImageExtractorFromZField(), pcl::io::PointCloudImageExtractorFromCurvatureField< PointT >::~PointCloudImageExtractorFromCurvatureField(), pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::~PointCloudImageExtractorFromIntensityField(), and pcl::io::PointCloudImageExtractorFromZField< PointT >::~PointCloudImageExtractorFromZField().

## PointCloudImageExtractorWithScaling() [2/2]

template<typename PointT>

pcl::io::PointCloudImageExtractorWithScaling< PointT >::PointCloudImageExtractorWithScaling | ( | const std::string & | field_name,
|  | const float | scaling_factor )

inline

Constructor.

Definition at line 160 of file point_cloud_image_extractors.h.

References field_name_, scaling_factor_, SCALING_FIXED_FACTOR, and scaling_method_.

## ~PointCloudImageExtractorWithScaling()

template<typename PointT>

pcl::io::PointCloudImageExtractorWithScaling< PointT >::~PointCloudImageExtractorWithScaling | ( |  | ) |

override default

Destructor.

## Member Function Documentation

## extractImpl()

template<typename PointT>

bool pcl::io::PointCloudImageExtractorWithScaling< PointT >::extractImpl | ( | const PointCloud & | cloud,
|  | pcl::PCLImage & | image ) const

override protected virtual

Implementation of the extract() function, has to be implemented in deriving classes.

Implements pcl::io::PointCloudImageExtractor< PointT >.

Definition at line 245 of file point_cloud_image_extractors.hpp.

References pcl::PCLImage::data, pcl::PCLImage::encoding, field_name_, pcl::getFieldIndex(), pcl::getFieldValue(), pcl::PCLImage::height, scaling_factor_, SCALING_FIXED_FACTOR, SCALING_FULL_RANGE, scaling_method_, SCALING_NO, pcl::PCLImage::step, and pcl::PCLImage::width.

## setScalingFactor()

template<typename PointT>

void pcl::io::PointCloudImageExtractorWithScaling< PointT >::setScalingFactor | ( | const float | scaling_factor | ) |

inline

Set fixed scaling factor.

Definition at line 179 of file point_cloud_image_extractors.h.

References scaling_factor_.

## setScalingMethod()

template<typename PointT>

void pcl::io::PointCloudImageExtractorWithScaling< PointT >::setScalingMethod | ( | const ScalingMethod | scaling_method | ) |

inline

Set scaling method.

Definition at line 172 of file point_cloud_image_extractors.h.

References scaling_method_.

## Member Data Documentation

## field_name_

template<typename PointT>

std::string pcl::io::PointCloudImageExtractorWithScaling< PointT >::field_name_

protected

Definition at line 189 of file point_cloud_image_extractors.h.

Referenced by extractImpl(), PointCloudImageExtractorWithScaling(), PointCloudImageExtractorWithScaling(), pcl::io::PointCloudImageExtractorFromCurvatureField< PointT >::~PointCloudImageExtractorFromCurvatureField(), pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::~PointCloudImageExtractorFromIntensityField(), and pcl::io::PointCloudImageExtractorFromZField< PointT >::~PointCloudImageExtractorFromZField().

## scaling_factor_

template<typename PointT>

float pcl::io::PointCloudImageExtractorWithScaling< PointT >::scaling_factor_

protected

Definition at line 191 of file point_cloud_image_extractors.h.

Referenced by extractImpl(), PointCloudImageExtractorWithScaling(), PointCloudImageExtractorWithScaling(), setScalingFactor(), pcl::io::PointCloudImageExtractorFromCurvatureField< PointT >::~PointCloudImageExtractorFromCurvatureField(), pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::~PointCloudImageExtractorFromIntensityField(), and pcl::io::PointCloudImageExtractorFromZField< PointT >::~PointCloudImageExtractorFromZField().

## scaling_method_

template<typename PointT>

ScalingMethod pcl::io::PointCloudImageExtractorWithScaling< PointT >::scaling_method_

protected

Definition at line 190 of file point_cloud_image_extractors.h.

Referenced by extractImpl(), PointCloudImageExtractorWithScaling(), PointCloudImageExtractorWithScaling(), setScalingMethod(), pcl::io::PointCloudImageExtractorFromCurvatureField< PointT >::~PointCloudImageExtractorFromCurvatureField(), pcl::io::PointCloudImageExtractorFromIntensityField< PointT >::~PointCloudImageExtractorFromIntensityField(), and pcl::io::PointCloudImageExtractorFromZField< PointT >::~PointCloudImageExtractorFromZField().

The documentation for this class was generated from the following files:

- pcl/io/point_cloud_image_extractors.h
- pcl/io/impl/point_cloud_image_extractors.hpp